Subject: Re: [PATCH v2] ucc_uart: add support for Freescale QUICCEngine UART

From: Timur Tabi <[email-masked]>
Date: Thu, 03 Jan 2008 12:26:27 -0600

Scott Wood wrote:

>>>> +static struct of_platform_driver ucc_uart_of_driver = {
>>>> +	.owner  	= THIS_MODULE,
>>>> +	.name   	= "ucc_uart",
>>> Maybe better fsl,ucc_uart?
> 
> fsl,qe-uart is defined by Documentation/powerpc/booting-without-of.txt.

Wait, I'm confused.  What does the of_platform_driver.name string have to do 
with the compatible field in the device tree?  Like I said earlier, I'm just 
following the example of the other QE device drivers.  If you want me to break 
that example, I'm going to need an explanation why the other drivers do it wrong.

-- 
Timur Tabi
Linux Kernel Developer @ Freescale